Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062670 - Ensure compute nodes are tuned w/ virt host profile
Summary: Ensure compute nodes are tuned w/ virt host profile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 4.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: z2
: 4.0
Assignee: Jason Guiditta
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On: 984645
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 16:28 UTC by Jason Guiditta
Modified: 2014-03-04 20:16 UTC (History)
6 users (show)

Fixed In Version: openstack-foreman-installer-1.0.4-1.el6ost
Doc Type: Enhancement
Doc Text:
Foreman now installs the 'tuned' service and its related Virtual_host profile to Compute nodes. This service optimizes Compute nodes to improve the performance of hosted guests.
Clone Of: 984645
Environment:
Last Closed: 2014-03-04 20:16:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0213 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform 4 Bug Fix and Enhancement Advisory 2014-03-05 01:11:55 UTC

Comment 1 Jason Guiditta 2014-02-07 20:48:13 UTC
Patch posted:
https://github.com/redhat-openstack/astapor/pull/121

To test:

Apply a compute node of any type
When applying, you should see output similar to:
Info: /Stage[main]/Quickstack::Tuned::Common/Service[tuned]: Scheduling refresh of Exec[tuned-virtual-host]
Info: /Stage[main]/Quickstack::Tuned::Common/Service[tuned]: Unscheduling refresh on Service[tuned]
Notice: /Stage[main]/Quickstack::Tuned::Virtual_host/Exec[tuned-virtual-host]/returns: executed successfully
Notice: /Stage[main]/Quickstack::Tuned::Virtual_host/Exec[tuned-virtual-host]: Triggered 'refresh' from 1 events

Look to see if tuned service is installed:
service tuned status
tuned (pid  2882) is running…

See if the expected profile is running:
# /usr/sbin/tuned-adm active | /bin/grep virtual-host
Current active profile: virtual-host

Comment 4 Omri Hochman 2014-02-23 11:57:32 UTC
Verified :(Havana A2 - RHOS4.0 2014-02-17.1) - openstack-foreman-installer-1.0.4-1.el6ost.noarch


Tested On 2 Compute-nodes deployed **by foreman** ( 1 X neutron-compute-node / 1X nova-network-compute-node ): 

Test:
-----
service tuned status
tuned (pid  6746) is running...

/usr/sbin/tuned-adm active | /bin/grep virtual-host
Current active profile: virtual-host

Comment 6 errata-xmlrpc 2014-03-04 20:16:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0213.html


Note You need to log in before you can comment on or make changes to this bug.